// Tell the XPInstall system we're about to install an extension. This creates a
    // folder under the applicable extensions folder (bin or profile - all user/fe
    // generated install actions are profile, command line extension installation
    // can be profile or bin dir)
    initExtensionInstall("Advanced Searchsidebar");
    
    // Used to generate log entries in extensions/<myExtension>/install.log
    var err = initInstall("Advanced Searchsidebar for Firefox 1.0 - 1.0+", "Advanced Searchsidebar", "0.1.6");
    ...
    
    // getTargetFolder(aFlag, subfile) returns:
    // aFlag      returns
    // 0          [<profile>|bin]/extensions/<myExtension>/
    //              root extension directory
    // CHROME     [<profile>|bin]/extensions/<myExtension>/chrome/
    //              extension's chrome packages, themes, locale packages
    // COMPONENTS [<profile>|bin]/extensions/<myExtension>/components/
    //              extension's components
    // DEFAULS    [<profile>|bin]/extensions/<myExtension>/defaults/
    //              extension's generic defaults
    // PREFS      [<profile>|bin]/extensions/<myExtension>/defaults/prefs/
    //              extension's default preferences files (all files in this directory are read)
    // This function returns the profile or bin version of the extensions folder depending
    // on how the install operation was invoked (see above). 
    // This function is meant to provide a shortcut to allow extension authors to install
    // into the right place. 
    if (verifyDiskSpace(getTargetFolder(0), spaceRequired)) {
      addFile("Advanced Searchsidebar Chrome",       // Registry Name
              "chrome/searchsidebar.jar",           // Source File (in XPI)
              getFolder(getTargetFolder(CHROME)), // Target Folder 
              "");                                // Target subdir
      addFile("Advanced Searchsidebar Prefs",      // Registry Name
              "defaults/preferences/all-searchsidebar.js", // Source File (in JAR)
              getFolder(getTargetFolder(PREFS)), // Target Folder 
              "");                               // Target subdir
	  
      
      var file = getTargetFolder(CHROME, "searchsidebar.jar");     
      registerChrome(PACKAGE | DELAYED_CHROME, file, "content/");
      registerChrome(LOCALE | DELAYED_CHROME, file, "locale/en-US/");
	  registerChrome(LOCALE | DELAYED_CHROME, file, "locale/de-AT/");
      registerChrome(LOCALE | DELAYED_CHROME, file, "locale/es-ES/");
      registerChrome(LOCALE | DELAYED_CHROME, file, "locale/fr-FR/");
      registerChrome(SKIN | DELAYED_CHROME, file, "skin/classic/");
      
      // Tidy up 
      finalizeExtensionInstall();
    }

